id: booking-phish

info:
  name: booking phishing Detection
  author: rxerium
  severity: info
  description: |
    A booking phishing website was detected
  reference:
    - https://booking.com
  metadata:
    max-request: 1
  tags: phishing,booking,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Booking.com | Official site | The best hotels, flights, car rentals & accommodations'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"booking.com")'
# digest: 490a004630440220614934561c127baaaf2900a2fc7a12aa0196c32eb7418e7c42b121457b2ac39a0220191e16fc963f6e5f627a87ae144c8311af906f200c7f366bf1e3ad267e466544:922c64590222798bb761d5b6d8e72950